﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification\ 
for details on configuring this project to bundle and minify static web assets. */
body {
    padding-top: 50px;
    padding-bottom: 20px;
    font-size: 17px;
    font-family: 'Quicksand', sans-serif;
}

.dropdown-menu {
    font-size: 15px;
    z-index: 1041;
}

.hero-image {
    background-image: url('../images/background-hands-world-md.jpg');
    background-size: cover;
    background-repeat: no-repeat;
}

.hero-image-xmas {
    background-image: url('../images/background-kew-xmas.png');
    background-size: cover;
    background-repeat: no-repeat;
}

.hero-image-education {
    background-image: url('../images/background-money-md.jpg');
    background-size: cover;
    background-repeat: no-repeat;
}

.bg-image {
    /* Add the blur effect */
    filter: blur(8px);
    -webkit-filter: blur(8px);
}

.jumbotron {
    background: rgb(255, 255, 255); /* This is for ie8 and below */
    background: rgba(255, 255, 255, 0.9);
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Carousel */
.carousel-caption p {
    font-size: 20px;
    line-height: 1.4;
}

/* Make .svg files in the carousel display properly in older browsers */
.carousel-inner .item img[src$=".svg"] {
    width: 100%;
}

/* QR code generator */
#qrCode {
    margin: 15px;
}

/* Hide/rearrange for smaller screens */
@media screen and (max-width: 767px) {
    /* Hide captions */
    .carousel-caption {
        display: none;
    }
}

.form-control {
    background-color: white;
}


textarea,
textarea.form-control,
input.form-control,
input[type=text],
input[type=password],
input[type=email],
input[readonly],
input[type=number],
[type=text].form-control,
[type=password].form-control,
[type=email].form-control,
[type=tel].form-control,
[readonly].form-control,
[contenteditable].form-control {
    padding: 0;
    border: none;
    border-radius: 5px;
    -webkit-appearance: none;
    -webkit-box-shadow: inset 0 -1px 0 #dddddd;
    box-shadow: inset 0 -1px 0 #dddddd;
    font-size: 16px;
    padding-left: 10px;
    background: white;
}

textarea:focus,
textarea.form-control:focus,
input.form-control:focus,
input[type=text]:focus,
input[type=password]:focus,
input[type=email]:focus, input[type=number]:focus,
[type=text].form-control:focus,
[type=password].form-control:focus,
[type=email].form-control:focus,
[type=tel].form-control:focus,
[contenteditable].form-control:focus {
    background-color: #f9f8d1;
}

input[type="checkbox"]:after, .checkbox input[type="checkbox"]:after, .checkbox-inline input[type="checkbox"]:after {
    background: white;
}

input[readonly].form-control {
    background-color: #fff;
}

.alert-box {
    padding: 15px;
    margin-bottom: 20px;
    border: 1px solid transparent;
    border-radius: 4px;    
}

.success {
    color: #3c763d;
    background-color: #dff0d8;
    border-color: #d6e9c6;
    display: none;
}

.failure {
    color: #a94442;
    background-color: #f2dede;
    border-color: #ebccd1;
    display: none;
}

.warning {
    color: #8a6d3b;
    background-color: #fcf8e3;
    border-color: #faebcc;
    display: none;
}


.ui-widget {
    font-size: 15px;
    font-family: 'Quicksand', sans-serif;
}

.panel > .panel-heading-margin {
    margin-bottom: 10px;
    margin-top: 10px;
}

.panel > .panel-collapse {
    margin-bottom: 10px;
}

.btn-flat {
    -webkit-box-shadow: none;
    box-shadow: none;
}

.btn-flat-danger {
    -webkit-box-shadow: none;
    box-shadow: none;
}

.btn-flat-danger:hover {
    -webkit-box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
    box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
    color: #e51c23;
}

.btn-flat-success {
    -webkit-box-shadow: none;
    box-shadow: none;
}

    .btn-flat-success:hover {
        -webkit-box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
        box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
        color: #4caf50;
    }

.btn-flat:hover {
    -webkit-box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
    box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
}

.btn-danger-flat {
    -webkit-box-shadow: none;
    box-shadow: none;
    color: #ffffff;
}

    .btn-danger-flat:hover {
        -webkit-box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
        box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
        background-color: #ffffff;
        color: #e51c23;
    }

.btn-primary-flat {
    -webkit-box-shadow: none;
    box-shadow: none;
    color: #ffffff;
}

    .btn-primary-flat:hover {
        -webkit-box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
        box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
        background-color: #ffffff;
        color: #444444;
    }

.btn-danger-flat-inline-button {
    -webkit-box-shadow: none;
    box-shadow: none;
    color: #ffffff;
}

    .btn-danger-flat-inline-button:hover {
        -webkit-box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
        box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
        background-color: #ffffff;
        color: #e51c23;
    }

.btn-danger-flat-inline-button-dark {
    -webkit-box-shadow: none;
    box-shadow: none;
    color: #000000;
}

    .btn-danger-flat-inline-button-dark:hover {
        -webkit-box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
        box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
        background-color: #ffffff;
        color: #e51c23;
    }


.btn-flat-inline-button {
    -webkit-box-shadow: none;
    box-shadow: none;
    color: #ffffff;
}

    .btn-flat-inline-button:hover {
        -webkit-box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
        box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
        background-color: #ffffff;
        color: #444444;
    }

.btn-flat-inline-button-dark {
    -webkit-box-shadow: none;
    box-shadow: none;
    color: #000000;
}

    .btn-flat-inline-button-dark:hover {
        -webkit-box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
        box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.4);
        background-color: #ffffff;
        color: #444444;
    }

.table th, .table td {
    padding: 0.25rem;
}

.sortableCustom {
    list-style-type: none;
    margin: 0;
    padding: 0;
    width: 100%;
}

.ui-state-highlight {
    height: 1.5em;
    line-height: 1.2em;
    background-color: #ffff99;
}

.ui-sortable-helper {
    display: table;
}

@media screen and (max-width:991px) {
    .logosize {
        width: 40px;
        height: 30px;
    }
    .navbar {
        padding: 0rem 1rem;
    }

    .hscrollifsm {
        overflow: scroll;
    }
}

@media screen and (min-width: 992px) and (max-width: 1319px) {
    .logosize {
        width: 60px;
        height: 45px;
    }
    .navbar {
        padding: 1rem 1rem;
    }
    .hscrollifsm {
        overflow: scroll;
    }
}

@media screen and (min-width: 1320px) {
    .logosize {
        width: 60px;
        height: 45px;
    }

    .navbar {
        padding: 1rem 1rem;
    }
}
.hidden {
    visibility: hidden;
}

.card-columns {
    @include media-breakpoint-only(lg) {
        column-count: 4;
    }

    @include media-breakpoint-only(xl) {
        column-count: 5;
    }
}

.w-min-4 {
    min-width: 4rem;
}
.w-min-8 {
    min-width: 8rem;
}
.w-min-10 {
    min-width: 10rem;
}
.w-min-12 {
    min-width: 12rem;
}
.w-min-14 {
    min-width: 14rem;
}
.w-min-16 {
    min-width: 16rem;
}
.w-min-18 {
    min-width: 18rem;
}
.w-min-20 {
    min-width: 20rem;
}

.btn-flat-light {
    -webkit-box-shadow: none;
    box-shadow: none;
    color: lightgray;
}
    .btn-flat-light:hover {
        color: #4caf50;
    }

.btn-flat-light-success {
    -webkit-box-shadow: none;
    box-shadow: none;
    color: #4caf50;
}

    .btn-flat-light-success:hover {
        color: black;
    }

@media (min-width: 1200px) {
    .container, .container-sm, .container-md, .container-lg, .container-xl {
        max-width: 1250px;
    }
}

.colorFFEE00 {
    color: #ffee00;
}

.dropdown-submenu {
    position: relative;
}

    .dropdown-submenu a::after {
        transform: rotate(-90deg);
        position: absolute;
        right: 6px;
        top: .8em;
    }

    .dropdown-submenu .dropdown-menu {
        top: 0;
        left: 100%;
        margin-left: .1rem;
        margin-right: .1rem;
    }

.icon-share-selected {
    list-style: none;
}

    .icon-share-selected i::before {
        content: "\f00c";
    }

    .icon-share-selected:hover i::before {
        content: "\f00d";
        color: #e51c23;
    }

.icon-share-unselected{
    list-style: none;
}

    .icon-share-unselected i::before {
        content: "";
    }

    .icon-share-unselected:hover i::before {
        content: "\f00c";
        color: lightgray;
    }


.icon-checklist-selected {
    list-style: none;
}

    .icon-checklist-selected i::before {
        content: "\f00c";
    }

    .icon-checklist-selected:hover i::before {
        content: "\f00d";
        color: #e51c23;
    }

.icon-checklist-unselected {
    list-style: none;
}

    .icon-checklist-unselected i::before {
        content: "";
    }

    .icon-checklist-unselected:hover i::before {
        content: "\f00c";
        color: lightgray;
    }

select.form-control {
    padding: 0;
    border: none;
    border-radius: 5px;
    -webkit-appearance: none;
    -webkit-box-shadow: inset 0 -1px 0 #dddddd;
    box-shadow: inset 0 -1px 0 #dddddd;
    font-size: 16px;
    padding-left: 10px;
/*    background: white;*/
}

    select.form-control:focus {
        background-color: #f9f8d1;
    }

.border-3 {
    border-width: 3px !important;
}


@media (max-width: 575px) {
    .showvideo iframe {
        width: 219px;
        height: 96px;
        align-content: center;
    }
}

@media (min-width: 576px) {
    .showvideo iframe {
        width: 263px;
        height: 115px;
        align-content: center;
    }
}

@media (min-width: 768px) {
    .showvideo iframe {
        width: 404px;
        height: 177px;
        align-content: center;
    }
}

@media (min-width: 992px) {
    .showvideo iframe {
        width: 622px;
        height: 273px;
        align-content: center;
    }
}

@media (min-width: 1200px) {
    .showvideo iframe {
        width: 752px;
        height: 330px;
        align-content: center;
    }
}
